#!/bin/bash

# C-evo can take any map size from 20x20 to 100x96 as long as
# (x * y) + 1 is prime.  This lists all 1475 possible map sizes
# for C-evo

b=19
a=19

while [ $b -lt 96 ] ; do b="$(( $b + 1 ))" 
	while [ $a -lt 100 ] ; do a="$(( $a + 1 ))" 
		factor $(( $a * $b + 1 )) | awk 'NF == 2 {print "'$a'x'$b'"}'
	done 
	a=19 
done
